

module Tomte
module Agent
module Dns

class AuthoritativeProvisioner < Tomte::Agent::Async

  DEFAULT_OPTIONS = {
#    :version => Tomte::AuthDns::VERSION,
  }

  read_configuration 'dns_authoritative_provisioner.yml', :path => :application, :queue => :before
  read_configuration 'dns_authoritative_provisioner.yml', :path => :system

  help_text 'Authoritative DNS provisioning agent'
  base_configuration :dns_authoritative_provisioner, DEFAULT_OPTIONS
  needs_privilege_management

  has_worker :dns_authoritative_provisioner, :class => 'Ygg::Dns::AuthoritativeProvisioner::Worker',
             :file => 'ygg/dns/authoritative_provisioner/worker.rb'

  # defines additional configuration actions
  additional_options('Options') do |options, opts, config|
  end

  def init(options = {})
    log.debug "= DNS authoritative provisioner agent initializing"
  end
end

end
end
end
